/*
 * Class WEL_HDN_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_185 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_185 [] = {0xFF01,1551,184,0xFFFF};
static const EIF_TYPE_INDEX egt_2_185 [] = {0xFF01,184,0xFFFF};
static const EIF_TYPE_INDEX egt_3_185 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_185 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_185 [] = {0xFF01,184,0xFFFF};
static const EIF_TYPE_INDEX egt_6_185 [] = {0xFF01,184,0xFFFF};
static const EIF_TYPE_INDEX egt_7_185 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_185 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_185 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_185 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_185 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_185 [] = {0xFF01,184,0xFFFF};


static const struct desc_info desc_185[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_185), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_185), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_185), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_185), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_185), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_185), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_185), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_185), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_185), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_185), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_185), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_185), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0171 /*184*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_185), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4545, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4538, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4539, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4540, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4542, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4543, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4544, 0xFFFFFFFF},
};
void Init185(void)
{
	IDSC(desc_185, 0, 184);
	IDSC(desc_185 + 1, 1, 184);
	IDSC(desc_185 + 32, 1430, 184);
}


#ifdef __cplusplus
}
#endif
